org.eclnt.jsfserver.elements.componentnodes

## Class HTHTMLNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HTHTMLNode

- All Implemented Interfaces:
    java.io.Serializable

      public class HTHTMLNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTHTMLNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTHTMLNode` | `bindComment(IDynamicContentBindingObject value)`
    `HTHTMLNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HTHTMLNode` | `bindHeight(IDynamicContentBindingObject value)`
    `HTHTMLNode` | `bindHtmlatbegintag(IDynamicContentBindingObject value)`
    `HTHTMLNode` | `bindHtmlatendtag(IDynamicContentBindingObject value)`
    `HTHTMLNode` | `bindRendered(IDynamicContentBindingObject value)`
    `HTHTMLNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `HTHTMLNode` | `bindWidth(IDynamicContentBindingObject value)`
    `HTHTMLNode` | `setAttributemacro(java.lang.String value)`
    `HTHTMLNode` | `setComment(java.lang.String value)`
    `HTHTMLNode` | `setConfiginfo(java.lang.String value)`
    `HTHTMLNode` | `setHeight(int value)`
    `HTHTMLNode` | `setHeight(java.lang.String value)`
    `HTHTMLNode` | `setHtmlatbegintag(java.lang.String value)`
    `HTHTMLNode` | `setHtmlatendtag(java.lang.String value)`
    `HTHTMLNode` | `setId(java.lang.String value)`
    `HTHTMLNode` | `setReference(java.lang.String value)`
    `HTHTMLNode` | `setRendered(boolean value)`
    `HTHTMLNode` | `setRendered(java.lang.String value)`
    `HTHTMLNode` | `setStylevariant(java.lang.String value)`
    `HTHTMLNode` | `setWidth(int value)`
    `HTHTMLNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTHTMLNode

          public HTHTMLNode()

  - ### Method Detail

    - #### setId

          public HTHTMLNode setId(java.lang.String value)

    - #### setAttributemacro

          public HTHTMLNode setAttributemacro(java.lang.String value)

    - #### setComment

          public HTHTMLNode setComment(java.lang.String value)

    - #### bindComment

          public HTHTMLNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public HTHTMLNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HTHTMLNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public HTHTMLNode setHeight(java.lang.String value)

    - #### bindHeight

          public HTHTMLNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public HTHTMLNode setHeight(int value)

    - #### setHtmlatbegintag

          public HTHTMLNode setHtmlatbegintag(java.lang.String value)

    - #### bindHtmlatbegintag

          public HTHTMLNode bindHtmlatbegintag(IDynamicContentBindingObject value)

    - #### setHtmlatendtag

          public HTHTMLNode setHtmlatendtag(java.lang.String value)

    - #### bindHtmlatendtag

          public HTHTMLNode bindHtmlatendtag(IDynamicContentBindingObject value)

    - #### setReference

          public HTHTMLNode setReference(java.lang.String value)

    - #### setRendered

          public HTHTMLNode setRendered(java.lang.String value)

    - #### bindRendered

          public HTHTMLNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HTHTMLNode setRendered(boolean value)

    - #### setStylevariant

          public HTHTMLNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public HTHTMLNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public HTHTMLNode setWidth(java.lang.String value)

    - #### bindWidth

          public HTHTMLNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public HTHTMLNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.